<?php

namespace Helpers\Outil;

class EnvHelper
{
    public function __construct()
    {
    }

    public function getEnv() :string
    {
        if (file_exists($_SESSION['_etc'].'environnement/Parametres.json')) {
            $parametrage = file_get_contents($_SESSION['_etc'].'environnement/Parametres.json', true);
            if ($parametrage === false) {
                throw new \Exception('!!!');
            }
            $parametrage = json_decode($parametrage, true);
            $_SESSION['environnement'] = $parametrage['type'];
        } else {
            $_SESSION['environnement'] = 'production';
        }
        if (getenv('TYPE_ENVIRONNEMENT_RECETTE') == 'true' && $_SESSION['environnement'] != 'nonregression') {
            $_SESSION['environnement'] = 'developpement';
        }
        return $_SESSION['environnement'];
    }
}
